POST rolealiases

POST
/rolealiases

Authorization

Bearer
headerAuthorizationBearer <token>

Paste your JWT token here

Request Body

The data transfer object containing the role alias definition.

application/json
  1. body

Defines the DTO for posting a role alias, containing the necessary information for creating a new role alias, including its name and the associated parent role ID. The PostRoleAliasDTO is used to transfer data from the client to the server when creating a new role alias, ensuring that all required information is provided and validated appropriately for the creation process.

name*string

The name of the role alias.

Length0 <= length <= 100
roleId?integer

The id of the role that this alias belongs to.

Formatint32

Response Body

Created

application/json
  1. response

A role alias for a member in a committee. E.g.: "Fotofeut" or "Man van Geld".

id?integer

The unique identifier of a role alias, assigned incrementally.

Formatint32
roleId?integer

The id of the role that this alias belongs to.

Formatint32
role?

A role for a member in a committee. E.g.: "Chair" or "Treasurer".

name*string

The name of the role alias.

Length0 <= length <= 100
curl -X POST 'https://example.com/rolealiases' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
{  "id": 0,  "roleId": 0,  "role": {    "id": 0,    "name": "string"  },  "name": "string"}